-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local lu = require('luaunit')

local port_manage = require 'device.class.nic_mgmt.port.port_manage'

TestPortManage = {}

local called = { npu = false }
function TestPortManage:test_init_npu_port()
    require 'device.class.nic_mgmt.port.port_npu'.init = function(orm_obj)
        called.npu = orm_obj
    end
    called.npu = false
    local orm_obj = { id = 123 }
    port_manage.init_npu_port(orm_obj)
    lu.assertIs(called.npu, orm_obj)
end
